Get Procedure
Retrieves information of a specified procedure.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
GET /api/sonar/procedures/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/procedures/5ad13151-dbc1-41c0-92a7-dfeb5f534f4c
Request Parameter
| Key | Requied | Type | Description | Note |
|---|---|---|---|---|
| guid | O | String | Procedure identifier | 36 charaters |
Success Response
{
"procedure": {
"guid": "5ad13151-dbc1-41c0-92a7-dfeb5f534f4c",
"name": "test",
"description": null,
"parameters": [
{
"name": "테이블",
"description": "검색 대상 테이블 이름",
"type": "string",
"key": "table"
}
],
"query": "system tables | search table == $(\"table\")",
"owner_guid": "13437402-81ed-4b6c-8a6f-7893c7c958b1",
"owner_name": "Demo",
"owner_login_name": "demo",
"company_public": false,
"granted_users": [
{
"guid": "b5bc3133-b53e-4b61-96b5-8857015ade0d",
"name": "demo2",
}
],
"granted_groups": [],
"created": "2023-10-03 12:38:13+0900",
"updated": "2023-10-03 22:15:28+0900"
}
}
- total_count (32-bit integer): Total number of the procedures that match the search keyword
- procedures (Array): List of procedures
- guid (String): Procedure identifier
- name (String): Procedure name
- description (String): Procedure description
- parameters (Array): Parameter list
- name (String): Display name of the parameter
- description (String): Description of the parameter
- type (String): Parameter type. Either
string,int,double,bool,datetime,date, orip. - key (String): Parameter name
- query (String): Query string
- owner_guid (String): Owner GUID as identifier
- owner_name (String): Owner name
- owner_login_name (String): Owner login account
- company_public (Boolean): Whether the procedure is public
- granted_users (Array):
- guid (String): User GUID as identifier
- name (String): User name
- granted_groups (Array):
- guid (String): Group GUID as identifier
- name (String): Group name
- created (String): Creation date and time (
yyyy-MM-dd HH:mm:ssZ) - updated (String): Last modification date and time (
yyyy-MM-dd HH:mm:ssZ)